Subject: Re: bug#12258: 24.2.50; OS X dialog box locks emacs
From: Jan Djärv <[email-masked]>
To: Ivan Andrus <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Aug 2012 20:55:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

23 aug 2012 kl. 23:21 skrev Ivan Andrus <[email-masked]>:

> On Aug 23, 2012, at 6:50 PM, Jan Djärv wrote:
> 
>> Hello.
>> 
>> 22 aug 2012 kl. 15:11 skrev Ivan Andrus:
>> 
>>> Starting from emacs -Q, evaluating the following causes a dialog to
>>> appear.  It is impossible to dismiss the dialog and impossible to
>>> interact with the rest of emacs. 
>>> 
>>> (let ((last-nonmenu-event nil)
>>>    (use-dialog-box t))
>>> (y-or-n-p "Cache preamble? "))
>>> 
>>> It should be noted that I found this when I clicked on the
>>> preview-at-point toolbar button in AUCTeX, so artificially setting
>>> last-nonmenu-event seems justifiable.
>> 
>> I can't reproduce this, either on 10.7 or 10.8.  I tried about 50 times...
>> Does it happen always?
> 
> 
> Yes.  I'm on a fairly modified 10.6, so it may be that I have something strange on my system.
> 

Apparently 10.6 (and earlier?) doesn't handle modal loops the same.  I have checked in a fix that works on 10.6 also.

	Jan D.